List participant conversations by identifier key and value
Authorizations
HTTPRequired
Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')
Path parameters
workspaceIdstring · uuidRequiredExample:
The workspace ID
b4e02c85-c6d2-4b15-8885-e09671799c61identifierKeystring · min: 1RequiredExample:
The identifier type of the channel, such as emailaddress or phonenumber
emailaddressidentifierValuestring · min: 1RequiredExample:
A value that uniquely identifies a recipient in the channel, such as an email address or a phone number
[email protected]Query parameters
limitinteger · int64Optional
pageTokenstringOptional
reversebooleanOptional
channelIdstring · uuidRequiredExample:
The channel ID
ab651378-579a-4491-abe6-eec97d4c0fa3statusstring · enumOptionalExample:
The status of a conversation
activePossible values: Responses
200
A list of conversations is returned
application/json
401
Unauthorized
application/json
422
The request body did not pass validation
application/json
get
/workspaces/{workspaceId}/participants/{identifierKey}/{identifierValue}/conversationsExamples
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/participants/emailaddress/[email protected]/conversations?channelId=7b0eb8a0-606b-59f1-bd90-43cacb048146" \
-H "Authorization: AccessKey abcd"{
"results": [
{
"id": "bace24af-cebb-4bd5-a1e6-f7cff24abadf",
"name": "Re: About your refund request",
"description": "",
"status": "active",
"visibility": "private",
"accessibility": "open",
"featuredParticipants": [
{
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "[email protected]",
"platformAddress": "[email protected]"
}
}
],
"activeParticipantCount": 1,
"pendingParticipantCount": 0,
"initiatingParticipant": {
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "[email protected]",
"platformAddress": "[email protected]"
}
},
"channelId": "7b0eb8a0-606b-59f1-bd90-43cacb048146",
"lastMessage": {
"id": "0ff78529-eb64-400d-8522-c45ae2170885",
"type": "html",
"preview": {
"text": "That's right 👍"
},
"recipients": null,
"status": "delivered",
"sender": {
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "[email protected]",
"platformAddress": "[email protected]"
}
},
"createdAt": "2024-11-27T14:47:59.577Z"
},
"createdAt": "2024-11-27T14:47:59.577Z",
"updatedAt": "2024-11-27T14:47:59.577Z",
"platformStyle": "email"
}
]
}Last updated
Was this helpful?

